sabnzbdplus (4.4.1+dfsg-2) unstable; urgency=medium

  * Tests: add test_functional_config.py to the ignore list, recent
    chrome/selenium is too unreliable. (Closes: #1100428)
  * Patches: expand 10 to set higher margins for flaky sorting test.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 14 Mar 2025 09:03:33 +0000

sabnzbdplus (4.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tests: re-enable test_rss_basic_flow, now that pytest httpserver is
    available.
  * Tests: remove chromium-chromedriver as an alternative for chromium-
    driver; add a dependency on chromium itself now that it was removed
    as a dependency of the -driver package.
  * Patches: remove fuzz.
  * Copyright: bump years.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 06 Mar 2025 11:10:33 +0000

sabnzbdplus (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Copyright: remove unused license definition.
  * Control: add python3-orjson as an alternative for the json dep.
  * Patches: refresh 02, 09 and 10.
  * Tests: re-enable tests that were deselected because of chromedriver
    chrashes.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 16 Dec 2024 12:07:06 +0000

sabnzbdplus (4.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 04, 09, 10.
  * Tests: require minimum version 5.6.0 for pyfakefs.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 22 Aug 2024 08:35:16 +0000

sabnzbdplus (4.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Service: add native systemd support, in addition to the init.d
    script. (Closes: #735003, #1039357)
  * Tests: add depend on python3-pytest-httpserver, and remove related
    changes from patch 10.
  * Tests: temporarily disable a number of tests because of chromedriver
    crashes.
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).
  * Control: add dependency on apprise, imported by notifier.
  * Control: bump python3-sabctools to >= 8.2.0, << 8.3.0~.
  * Control: add explicit dependency on python3-cheroot, now imported
    directly in SABnzbd.py for error handling.
  * Patches: refresh all, fuzz removal.
  * Patches: remove 90, merged upstream.
  * Copyright: remove entry for sabnzbd/utils/pathbrowser.py, file
    removed upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 30 May 2024 09:03:35 +0000

sabnzbdplus (4.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 09; remove 91 (merged upstream).
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Update upstream security contact email address.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 21 Mar 2024 14:54:53 +0000

sabnzbdplus (4.2.2+dfsg-4) unstable; urgency=medium

  * Patches: add 91, minimal backport of an upstream PR to avoid
    timeouts with giganews.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 09 Mar 2024 07:42:51 +0000

sabnzbdplus (4.2.2+dfsg-3) unstable; urgency=medium

  * Tests: avoid running the upstream testsuite on ppc64el.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Mar 2024 15:03:19 +0000

sabnzbdplus (4.2.2+dfsg-2) unstable; urgency=medium

  * Control: remove p7zip-full as an alternative for the recommended
    dependency on 7zip, as the former is now a transitional package
    pointing to the latter. (Closes: #1063618)
  * Tests: correct path for some of the ignored test files, moved into
    their parent dir by upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 28 Feb 2024 13:14:38 +0000

sabnzbdplus (4.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: bump python3-sabctools version to (>= 8.1.0), (<< 8.2.0~).
  * Copyright: bump years for upstream and packaging.
  * Patches: refresh all.
  * Patches: add 90, backport of an upstream PR to fix assumptions in
    test_getipaddress.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 13:27:02 +0000

sabnzbdplus (4.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.1.0.
  * Patches: refresh 02, 08, 09, 10; expand 09 to remove a text-ad
    iframe.
  * Control: bump required minimum sabctools version to 7.1.0, and add
    upper limit set to 8.0.0~.
  * Control: add 7zip as an alternative for p7zip-full.
  * Control: remove recommend on unzip, no longer used upstream.
  * Tests: update dependencies for upstream-tests.
  * Lintian: override missing-build-dependency-for-dh-addon
    bash_completion, false positive.
  * Copyright: remove references to upstream's team@ email address, no
    longer in use.
  * Tests: remove chromium-browser symlink from upstream-tests.
  * Patches: add workaround for breakage in selenium >=4.11.2 to patch
    10, see #1050378.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 05 Oct 2023 05:53:56 +0000

sabnzbdplus (4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1038949)
  * Patches: refresh all.
  * Control: replace dependency on python3-sabyenc with python3-
    sabctools.
  * Control: replace build-dep on bash-completion with dh-sequence-bash-
    completion.
  * Copyright: bump years.
  * Tests: deselect test_nonexistent_dir_without_permission.
  * Tests: add deps on python3-pytest-{asyncio,mock}.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 25 Jun 2023 08:31:50 +0000

sabnzbdplus (3.7.1+dfsg-2) unstable; urgency=medium

  * Tests: disable test_validate_host, intermittent failures on the CI
    possibly related to network or dns configuration.
  * Control: remove dep on lsb-base.
  * Lintian: remove override for inconsistent-appstream-metadata-license
    (mit != expat; fixed in lintian, see #1029055).

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 20 Feb 2023 10:52:22 +0000

sabnzbdplus (3.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 09.
  * Control: remove build-dep on dpkg-dev (not needed, pkg is build-
    essential).
  * Control: bump std-ver to 4.6.2 (from 4.6.1; no further changes).
  * Copyright: correct path of src/jquery.hotkeys.js entry.
  * Lintian: override inconsistent-appstream-metadata-license.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 20 Dec 2022 12:15:04 +0000

sabnzbdplus (3.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Watch: switch to api.github.com now that github screwed up the
    releases endpoint.
  * Control: add dependencies on python3-rebulk, python3-ujson.
  * Control: do *not* add a dependency on libjs-jquery-hotkeys, the
    packaged version has a different ABI than expected by the upstream
    code; see Debian bug #740893 as well as thread 128417 on the
    upstream forums.
  * Control: remove ancient version restrictions from (build-)deps.
  * Patches: refresh 02, 08, 09 and 10 (fuzz removal only).
  * Copyright: add entry for jquery hotkeys.
  * Tests: disable problematic TestPar2Repair::test_basic, no longer
    mark upstream testsuite as flaky.
  * Tests: redo test selection options to be more specific.
  * Tests: run the upstream testsuite for all supported Python version.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 20 Nov 2022 16:08:49 +0000

sabnzbdplus (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 09 (fuzz removal only).
  * Lintian: re-activate override for missing-sources on maintainer-
    added sources.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 22 Aug 2022 14:29:36 +0000

sabnzbdplus (3.6.0+dfsg-2) unstable; urgency=medium

  * Tests: ignore test_consistency.py in upstream-tests.
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no further
    changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 15 Jun 2022 23:34:08 +0000

sabnzbdplus (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: set minimum version requirement for the python-sabyenc dep.
  * Patches: refresh all, extend 02 to upstream appdata.xml.
  * Examples: remove Deobfuscate.py; obsolete, no longer shipped.
  * Add bash-completion support via d/sabnzbdplus.bash-completion:
    + Control: build-depend on bash-completion (for dh_bash-completion).
    + Rules: add bash-completion addon to dh sequencer.
  * Install, rules: switch to upstream appdata file.
  * Copyright: add entry for linux/org.sabnzbd.sabnzbd.appdata.xml.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 15 Jun 2022 17:38:41 +0000

sabnzbdplus (3.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 09 May 2022 15:37:49 +0000

sabnzbdplus (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: remove 90, merged upstream.
  * Tests: add dependency on p7zip-full; make pytest output verbose.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 21 Feb 2022 11:46:37 +0000

sabnzbdplus (3.5.0+dfsg-2) unstable; urgency=medium

  * Patches: add 90, backport of an upstream fix for an RSS feed config
    issue.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 04 Feb 2022 06:05:15 +0000

sabnzbdplus (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Lintian: compensate for changes in output style.
  * Control: add dependency on python3-socks.
  * Patches: refresh to remove fuzz, adjust for upstream code moves.
  * Copyright: bump years for upstream and packaging.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 03 Feb 2022 14:33:10 +0000

sabnzbdplus (3.4.2+dfsg-2) unstable; urgency=medium

  * Lintian: override 'unicode-trojan' hits, false positives.
  * Tests: mark upstream-tests as flaky, chromedriver is too unreliable.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 21 Nov 2021 10:46:58 +0000

sabnzbdplus (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Appstream metainfo file.
  * Control:
    + add depends on python3-guessit, python3-puremagic.
    + remove depend on python3-six (no longer needed).
  * Patches: refresh all.
  * Install, Copyright: remove references to the Plush interface theme
    (removed upstream).
  * Lintian: remove unused override.
  * Upstream: add metadata file.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 15 Oct 2021 10:07:30 +0000

sabnzbdplus (3.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Lintian: adjust override of source-is-missing to compensate for
    modified lintian output formatting.
  * Patches: remove fuzz.
  * Manpage: add --inet_exposure option.
  * Bump Standards-Version to 4.6.0 (from 4.5.1; no further changes).
  * Control: set Rules-Requires-Root: no.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 25 Aug 2021 07:28:38 +0000

sabnzbdplus (3.2.1+dfsg-1) unstable; urgency=medium

  [ Jeroen Ploemen ]
  * New upstream release.
  * Set maintainer to my debian email address.
  * Install: pick up the svg icons, needed by the desktop tray.
  * Patches:
    + remove 90, merged upstream.
    + refresh all others to remove fuzz.
    + update 10 to account for upstream changes.
  * Tests: add python3-xmltodict dependency for upstream-tests; disable
    tests rss_basic_flow, queue_repair; re-enable test_daemonizing.
  * Copyright: bump years to 2021.
  * Control: add recommend on gir1.2-xapp-1.0, for tray icon support.
  * Rules: switch dh_clean override to execute_before.
  * Links: make the real file and the symlink switch places as a
    workaround the appstream generator's inability to deal with
    symlinked icon files.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 31 Mar 2021 16:32:05 +0000

sabnzbdplus (3.1.1+dfsg-2) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * Tests: adjust syntax of pytest call. (Closes: #979300)

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 06 Jan 2021 16:33:04 +0000

sabnzbdplus (3.1.1+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control:
    + remove breaks/replaces for the ancient sabnzbdplus-theme-*
      packages, no longer needed.
    + bump compat level to 13 (from 12).
    + bump Standards-Version to 4.5.1 (from 4.5.0; no further changes).
  * Copyright:
    + update to match refreshed js libs.
    + point translations URL to transifex.
  * Patches:
    + refresh all.
    + add 90_normalize_shebang_for_utils_example_script.
  * Links: add woff, woff2 for bootstrap; update jquery, moment target
    filenames.
  * Tests:
    + upstream-tests: add restrictions allow-stderr, skip-not-
      installable (as chromium-driver isn't available on every
      architecture) and needs-root (to create a symlink in /usr/bin).
    + upstream-tests: deselect test_happyeyeballs and internetspeed,
      both require network access; re-enable test_functional_config;
      deselect test_daemonizing (Closes: #975521).
    + upstream-tests: require python3-sabyenc >= 4.0.2 (reintroduces
      yEnc-encode functionality, needed by the testsuite since
      3.0.0~beta2); add deps on python3-distutils, python3-flaky,
      python3-pyfakefs, and python3-pytest-httpbin.
    + basic-runs: improve to get the actual exit status for the
      console run.
  * Add debian/README.source to document missing sources handling.
  * Lintian:
    + refresh override for source-is-missing: the tag no longer
      prints line lengths for every hit.
    + add override for new tag package-contains-documentation-
      outside-usr-share-doc: another false positive.
  * Watch: bump version to 4 (from 3; no further changes).

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 24 Nov 2020 15:40:39 +0000

sabnzbdplus (3.0.0~0git20200408+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + adds support for Python3. (Closes: #938425, #956110)
    + based on a snapshot of the 'develop' branch of upstream git
      (commit c0d0964). Files and directories that won't be part of
      regular upstream tarballs have been removed, and missing
      javascript sources merged as usual along the lines of the
      get-orig-source target.
  * Tests:
    + add superficial basic-runs autopkgtest.
    + add upstream testsuite as autopkgtest.
  * Control:
    + switch python dependencies to their python3 equivalents.
    + remove build-deps on imagemagick and librsvg2-bin, previously
      used to convert a logo image for use as an icon.
    + remove deps on libjs-jquery-tablesorter (rss feed issues), and
      libjs-excanvas, libjs-mochikit (no longer needed after removal
      of the smpl theme).
    + add deps on python3-chardet, python3-cherrypy3,
      python3-feedparser, python3-portend, and python3-sabyenc.
    + bump recommends on python3-cryptography, par2, and unrar to
      hard dependencies and remove obsolete versioning of unrar.
    + add recommends on python3-notify2, python3-dbus, unzip.
    + add Pre-Depends: ${misc:Pre-Depends}, needed to ensure a recent
      init-system-helpers version is available to assorted automagic
      maintainer scripts.
  * Copyright:
    + bump years for packaging and upstream.
    + remove obsolete entries related to the smpl interface theme.
    + correct the filename of the moment.js entry.
    + convert to machine-readable format.
    + use 'Expat' rather than 'MIT' as license shortname.
  * Compat: bump level to 12 (from 11).
  * Patches:
    + remove 06_use_packaged_modules.diff (no longer needed), and
      90_rss_feed_without_id_would_crash (fixed upstream).
    + refresh all others.
    + extend patch 09 to also cover the certificate validation check.
    + add 10_pytest_mods to make the upstream testsuite find packaged
      files, for use with continuous integration.
  * d/README.Debian: remove cherrypy rationale, obsolete.
  * Rules:
    + switch to python3.
    + cleanup the list of excluded files in the dh_install override.
    + remove dh_compress override now that examples are excluded by
      default.
    + remove image conversion, use original file as program icon.
  * Init: explicitly set PYTHONIOENCODING to prevent encoding issues.
  * Install, Links: remove obsolete entries.
  * Lintian:
    + remove override of embedded-feedparser-library, upstream got
      rid of the embedded copy.
    + the tag formerly known as insane-line-length-in-source-file was
      rediagnosed as just 'very long'; adjusting override accordingly.
  * Bump Standards-Version to 4.5.0 (from 4.3.0; no further changes).
  * Manpage: add --no-login option; update program version, years.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 09 Apr 2020 14:28:35 +0000

sabnzbdplus (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rules: increase desktop icon size to 64x64 pixels.
  * Desktop: add MimeType key.
  * Mime: add d/sabnzbdplus.sharedmimeinfo.
  * Patches: add 90_rss_feed_without_id_would_crash, backported from
    upstream commit 832b4fd7.
  * Bump Standards-Version to 4.3.0 (from 4.1.4; no further changes).
  * Control: remove build-dep on subversion, no longer needed by
    get-orig-source target; and add wget.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 29 Dec 2018 09:44:43 +0000

sabnzbdplus (2.3.4+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + accepts Cheetah versions newer than 2. (Closes: #900826)
  * Desktop: append %F field code to Exec key.
  * Manpage:
    + document option to add nzb files via cli.
    + remove obsolete options, add new --disable-file-log.
  * Rules: exclude example scripts from compression.
  * Patches: refresh 04, 09.
  * Copyright: bump upstream year to 2018.
  * Compat: bump level to 11 (from 10).
  * Bump Standards-Version to 4.1.4 (from 4.1.3; no further changes).
  * Lintian: override debian-rules-contains-unnecessary-get-orig-source-
    target.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 05 Jun 2018 20:42:24 +0000

sabnzbdplus (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: remove recommend on unzip, replaced upstream by 7zip which
    is already a dependency.
  * Bump Standards-Version to 4.1.3 (from 4.1.1; no further changes).
  * Patches: refresh 08.
  * Links: correct link name for moment.js in glitter.
  * Copyright:
    + bump packaging year to 2018.
    + update info for six, moment.js, bootstrap3-typeahead.
    + add entries for jquery-qrcode, filesize.js.
  * Missing-sources:
    + bump moment.js, bootstrap3-typeahead to match upstream.
    + add sources for jquery-qrcode, filesize.js.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Jan 2018 14:09:35 +0000

sabnzbdplus (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #858852)
  * Manpage: add links to API docs, upstream Github project page.
  * Copyright:
    + remove entries for files no longer shipped upstream: wizard's
      jquery and related missing-sources, sabnzbd/utils/ssmtplib.py,
      sabnzbd/utils/ordered.py, cherrypy/_cpcompat_subprocess.py.
    + add entries for jquery-tablesorter, six, chartlist, and
      pathbrowser.
    + correct a few minor typos in filenames.
    + update years and contact info for rarfile, moment.js, jquery.
    + refresh website info for rateit, codeplex is gone.
  * Patches:
    + refresh all.
    + modify 06 to stop dealing with feedparser.
  * Control:
    + bump version of debhelper build-dep and d/compat to 10 (from 9).
    + drop recommend on python-openssl: upstream switched to Python's
      builtin ssl.
    + remove dependency on consolekit, sleep/hibernate/etc are now
      supported via systemd/logind. (Closes: #862673)
    + depend on libjs-jquery-tablesorter, used in the Config interface.
    + drop dependency on python-feedparser: upstream includes a modified
      file with support for indexer tags and speed optimizations.
    + replace recommend on python-yenc with a depend python-sabyenc.
      The latter is a fork optimized for use within SABnzbd, resulting
      in a significant performance increase.
  * Rules: exclude utils/subprocess_fix.py from install (windows-only).
  * Links:
    + match upstream version bump of jquery in Config to 3.2.1.
    + add links for jquery-tablesorter and jquery-ui in Config.
    + add missing bootstrap woff/woff2 links in Config and Glitter.
  * Lintian:
    + remove unused override for wizard's jquery.js.
    + override embedded-feedparser-library, included file has relevant
      upstream modifications.
    + override debian-rules-parses-dpkg-parsechangelog, the suggested
      alternative is too impractical with a get-orig-source target.
  * README.Debian: refresh cherrypy rationale with current bugs/patches.
  * Missing-sources:
    + bump jquery and bootstrap versions in Config to match upstream.
    + handle missing jquery-ui in Config by adding a symlink to its
      equivalent in Glitter.
    + add sources for jquery-tablesorter and chartlist.
    + update moment.js to 2.18.1.
    + update Config jquery to 3.2.1.
    + remove all entries for the wizard interface: no longer needed.
  * Init: add support for the optional try-restart argument.
  * Bump Standards-Version to 4.1.1 (from 3.9.8; no further changes).
  * Docs: remove README.txt to prevent duplicate (already installed as
    changelog via d/rules).
  * Examples: add scripts/{Deobfuscate.py,Sample-PostProc.py}.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 05 Nov 2017 15:04:14 +0000

sabnzbdplus (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Rules:
    + use Config's logo-arrow.svg as new basis for menu icon.
    + no longer exclude Patch-for-CP-3.8.0.diff from install, file was
      removed upstream.
  * Control:
    + recommend python-cryptography, used for certificate generation
      and encrypted rarfile detection.
    + build-depend on librsvg2-bin to enable svg handling in
      imagemagick.
    + depend on python-six, needed by recent cherrypy releases.
    + bump X-Python-Version to 2.7 (from 2.6).
  * Links: update Glitter links, upstream now omits jquery version from
    filename.
  * Copyright: minor updates only, to match upstream javascript and
    cherrypy version bumps.
  * Man page: update links to upstream wiki, homepage.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 11 Nov 2016 14:52:10 +0000

sabnzbdplus (1.0.3+dfsg-2) unstable; urgency=medium

  * Add dependency on lsb-base (>= 3.0-6), needed because the init
    script sources /lib/lsb/init-functions.
  * Remove the upper bound version restriction of the libjs-jquery
    dependency now that libjs-bootstrap was updated to 3.3.7, adding
    compatibility with jquery 3. (Closes: #841691)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 24 Oct 2016 13:39:38 +0000

sabnzbdplus (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 04 Jun 2016 13:53:50 +0000

sabnzbdplus (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #819896)
  * Patches:
    + refresh all.
    + expand patch 02 to also deal with the newly added systray icons.
    + make patch 08 also remove the version check option from the
      scheduler and the configuration interface.
    + rename and expand patch 09 to deal with more potential privacy
      breaches.
  * Merge the theme packages into the main package, and add Breaks and
    Replaces for all. With fewer interface themes and the reduced disk
    space requirements of a unified Config interface the case for
    splitting these up no longer exists.
  * Control:
    + bump required Python version to >= 2.6 (from >= 2.5).
    + recommend p7zip-full (7z support) and libavahi-compat-libdnssd1
      (bonjour/zeroconf support), suggest python-gtk2 (tray icon).
    + depend on various javascript libraries (libjs-bootstrap,
      libjs-jquery, libjs-jquery-ui, libjs-moment) and provide the
      necessary symlinks within the Config and Glitter interfaces.
      Glitter requires a jquery version >= 1.11 for its multi-select
      dialog. Config requires a jquery release >= 1.9.1 (and << 3) to
      prevent problems with the folder select dialogs in the "Folders"
      and "Categories" sections.
    + remove obsolete versioning of par2, python-{openssl,yenc} deps.
    + use https for upstream homepage.
  * Rules:
    + remove dh_installinit override: no longer needed.
    + exclude sabtray.py (windows-only) and upstream cherrypy diff (not
      needed by end users) from install.
    + don't bother excluding files that get replaced by links anyway.
    + drop exclude for cherrypy/scaffold (removed upstream).
    + install README.txt as upstream changelog; the previously used
      CHANGELOG.txt was dropped upstream.
  * Watch: point to github (upstream is moving away from sf.net).
  * Examples: upstream moved the sample scripts into a subdir.
  * Desktop file, description: capitalize Usenet.
  * Manpage: update renamed command line option and changed default
    listening host; remove mention of a long defunct indexer.
  * Bump Standards-Version to 3.9.8 (from 3.9.6; no further changes).
  * README.Debian: expand cherrypy paragraph with current status, links
    to upstream patches and relevant bug reports.
  * Copyright and missing-sources: update it all.
  * Lintian:
    + simplify override for source-is-missing to a single line.
    + override insane-line-length-in-source-file: effectively duplicates
      already overridden source-contains-prebuilt-javascript-object.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 09 May 2016 21:58:40 +0000

sabnzbdplus (0.7.20+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * Lintian:
    + override source-contains-prebuilt-javascript-object: their
      inclusion by upstream is intentional.
    + override source-is-missing for assorted maintainer-added
      sources: all of these lintian hits are false positives.
  * Add missing source files for Plotkit.js.
  * Create a get-orig-source target to copy missing sources into the
    upstream tarball instead of keeping them in d/missing-sources.
  * Add build-deps on devscripts, dpkg-dev, and subversion: needed by
    get-orig-source.
  * Watch file: add dversionmangle to handle +dfsg suffix.
  * Copyright: adjust paths for missing-sources files.
  * Remove Debian menu support as per #741573.
  * Use https for Vcs-Browser.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 23 Oct 2015 12:14:34 +0000

sabnzbdplus (0.7.20-1) experimental; urgency=medium

  * New upstream release.
  * Copyright: add license info for newly included util/pystone.py.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 03 Jan 2015 23:39:40 +0000

sabnzbdplus (0.7.18-1) unstable; urgency=medium

  * New upstream release:
    + adds (basic) support for rar5 format. (LP: #1330146)
  * Init script:
    + rework to use new upstream --pidfile option.
    + set system locale in a bid to prevent encoding issues.
  * Update man page for new --pidfile option.
  * Add debian/missing-sources for various minified javascripts.
  * Copyright:
    + add RateIt jquery rating plugin, OrderedDict backport.
    + bump years for both upstream and packaging.
    + include copyright info for d/missing-sources.
    + correct jquery tooltip license info.
    + stop referring to symlink licenses.
  * Add patch 09_remove_external_resource_from_wizard.diff: prevent
    loading an external resource, replace with a plain text link.
  * Switch debian/rules to dh sequencer.
  * Set compat level to 9.
  * Build-depends:
    + add dh-python, now a separate package.
    + dump version requirement for python (no longer needed).
    + bump debhelper version to >= 9.
  * Recommend consolekit and promote python-dbus to recommended
    (from suggested), to ensure support for end-of-queue actions is
    available. (Closes: #706402)
  * Lintian:
    + Append an asteriks to the existing override to compensate for
      the description added to the embedded-javascript-library tag.
    + Override init.d-script-sourcing-without-test (false positive).
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 07 Oct 2014 10:53:34 +0000

sabnzbdplus (0.7.16-1) unstable; urgency=low

  * New upstream release.
  * Init: remove redundant check.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 03 Sep 2013 12:44:30 +0200

sabnzbdplus (0.7.13-1) unstable; urgency=low

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Desktop file: add keywords.
  * Init script:
    + improve dependency based booting params.
    + base external filenames on the script's name.
  * Tweak version of python build-dep (append tilde).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 14 Jun 2013 22:56:37 +0200

sabnzbdplus (0.7.11-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 07 Feb 2013 22:46:46 +0100

sabnzbdplus (0.7.9-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 06 Jan 2013 21:49:04 +0100

sabnzbdplus (0.7.8-1) experimental; urgency=low

  * New upstream release.
  * Remove defunct indexers from description.
  * Fulfill lintian's desire for a canonical vcs field.
  * Update copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 04 Jan 2013 22:38:50 +0100

sabnzbdplus (0.7.6-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.4 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 14 Nov 2012 15:04:34 +0100

sabnzbdplus (0.7.5-1) experimental; urgency=low

  * New upstream release.
  * Init script: adjust regexp to handle the space inserted by
    dh_python2's shebang rewriting. (Closes: #691312)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 01 Nov 2012 14:04:59 +0100

sabnzbdplus (0.7.4-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 24 Sep 2012 21:24:49 +0200

sabnzbdplus (0.7.3-1) experimental; urgency=low

  * New upstream release.
  * Add missing epoch to dependencies on (un)rar.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 13 Aug 2012 22:00:30 +0200

sabnzbdplus (0.7.2-1) experimental; urgency=low

  * New upstream release:
    + Refresh patches, update patch 02.
    + Add suggested dependency on python-notify.
    + Install the new unified configuration interface as part of the
      main package.
    + Minor man page update.
    + Update debian/copyright.
  * Bumped Standards-Version to 3.9.3 (no changes needed).
  * Changed my email address.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 19 Jul 2012 14:35:05 +0200

sabnzbdplus (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * Update copyright years.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 08 Feb 2012 17:13:37 +0100

sabnzbdplus (0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Correct section/priority of transitional package to oldlibs/extra.
  * Init script: add long LSB description.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sat, 10 Dec 2011 11:56:39 +0100

sabnzbdplus (0.6.10-1) unstable; urgency=low

  * New upstream release:
    + Install gntp as a private module.
    + Updated copyright to include the new gntp files.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 12 Oct 2011 21:59:40 +0200

sabnzbdplus (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 01 Sep 2011 22:11:54 +0200

sabnzbdplus (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Added build-{arch,indep} targets.
    + Clean up generated icons.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 25 Aug 2011 21:58:35 +0200

sabnzbdplus (0.6.7-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 04 Aug 2011 21:16:37 +0200

sabnzbdplus (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 20 Jul 2011 22:55:51 +0200

sabnzbdplus (0.6.4-1) unstable; urgency=low

  * New upstream release:
    + Updated patch 02 to match.
  * Added new command line option to the man page.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 08 Jun 2011 18:58:44 +0200

sabnzbdplus (0.6.2-1) unstable; urgency=low

  * New upstream release:
    + Updated copyright, man page, and patches 02, 06, and 08 to match.
  * Switching from dh_pysupport to dh_python2.
  * Added desktop menu entries.
  * Init script:
    + Permit setting a group too (chown syntax, USER=u:g).
  * debian/rules:
    + Replace dh_clean -k with dh_prep.
    + Generate translations on build.
    + Install menu entries.
  * debian/control:
    + Allow all Python 2.x versions >= 2.5.
    + Build-depend on imagemagick, for converting icons.
    + Downgrade smpl dependency to recommended, and make plush a hard
      dependency (plush is the default and fallback theme in >= 0.6.0).
    + Require debhelper 7.0.0 (for dh_prep).
  * Bumped Standards-Version to 3.9.2 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Tue, 24 May 2011 19:05:45 +0200

sabnzbdplus (0.5.6-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 18 Nov 2010 19:08:52 +0100

sabnzbdplus (0.5.5-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sat, 23 Oct 2010 22:30:32 +0200

sabnzbdplus (0.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #593829).
  * Bumped Standards-Version to 3.9.1 (no changes needed).
  * Init script: moved start and stop procedures into functions.
  * Updated man page.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sun, 22 Aug 2010 21:10:15 +0200

sabnzbdplus (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Added status action to the init script.
  * Minor update of man page and package description.
  * Bumped Standards-Version to 3.9.0 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Mon, 19 Jul 2010 18:10:28 +0200

sabnzbdplus (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 15 Apr 2010 22:55:13 +0200

sabnzbdplus (0.5.0-2) unstable; urgency=low

  * In case of the default/fallback theme, have the main package
    rather than the theme enforce matching their source versions to
    prevent a circular hard dependency (Closes: #575480).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Fri, 26 Mar 2010 14:50:35 +0100

sabnzbdplus (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #568208).
  * Updated debian/copyright to match.
  * Program now works with Python 2.6, no longer force 2.5:
    + Updated debian/pyversions.
    + Removed '-V2.5' option from dh_pysupport call.
    + Removed notice from README.source.
    + Dropped patch 05.
  * Dropping patch 01: no longer needed.
  * Updated remaining patches:
    + Updated 02, 04 and 08 to work with new release.
    + Added 06_use_packaged_modules.dpatch: point to system python
      modules rather than included copies.
    + Merged 07_use_system_configobj.dpatch into patch 06.
  * Dependencies:
    + Removed python-cherrypy, application was ported to cherrypy3.
    + Removed dep. on python-2.4 specific python-(c)elementtree.
    + Require rather than recommend python-feedparser.
    + Require sabnzbdplus-theme-smpl: it is now the default and
      fallback interface.
    + Recommend rather than suggest sabnzbdplus-theme-{plush,classic}
      since those are in the newly introduced configuration wizard.
    + Drop libjs-jquery from -theme-plush: now combined with a number
      of other javascripts into a single file, making it impossible
      to use the packaged jquery.
    + Add libjs-excanvas dependency to -theme-smpl.
    + Allow rar as an alternative for unrar.
    + Suggest python-dbus to support the end-of-queue actions.
    + Version (un)rar dependencies due to the programs use of command
      line options only available in more recent versions of unrar.
  * Overriding lintian warning about jquery:
    + Adding debian/sabnzbdplus.lintian-overrides.
    + Adding dh_lintian call in debian/rules.
    + Bumpimg debhelper version to >= 6.0.7 (needed for dh_lintian).
    + Setting debian/compat to 6.
  * Priority is back to optional (no more python-cherrypy).
  * Changed sabnzbdplus-theme-iphone to a transitional package: no
    longer included upstream, replaced by "Mobile".
  * New binary packages:
    + sabnzbdplus-theme-mobile, new theme replacing -theme-iphone.
    + sabnzbdplus-theme-classic: formerly "Default" and included in
      the main package.
  * Updated various docs: man page, README.source.
  * Modified the init script:
    + Account for the side effects of the program's builtin restart
      function.
    + Assorted minor improvements.
  * Using debian/sabnzbdplus.examples rather than sabnzbdplus.docs for
    the sample post-processing script.
  * Bumped Standards-Version to 3.8.4 (no changes needed).
  * Install included patched copy of cherrypy3: both 3.1.x and 3.2.0rc1
    suffer from crippling bugs in the https implementation.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sun, 21 Feb 2010 21:32:58 +0100

sabnzbdplus (0.4.12-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.3 (no changes needed).
  * Adding patches:
    + debian/patches/08_disable_new_version_check.dpatch: disable the
      builtin check for new versions. (Closes: #530628)
    + debian/patches/05_force_python_version.dpatch: program doesn't
      support Python 2.6 yet: force use of Python 2.5.
  * Minor changes in debian/pyversions and debian/rules regarding
    the exclusive use of Python 2.5.
  * Documenting Python 2.6 compatibility issue in debian/README.source.
  * Updated man page.
  * Init.d script:
    + run later, so all networking is already configured at startup, and
      add NetworkManager as a Should-Start,Stop. dependency to the LSB
      Init Info. (LP: #402045)
    + assorted minor tweaks.
  * Changed Priority to extra, following dependency python-cherrypy that
    was demoted from optional to extra in 2.3.0-3.
  * Drop versioning of dependencies on unzip, unrar.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Mon, 05 Oct 2009 22:44:55 +0200

sabnzbdplus (0.4.11-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 21 May 2009 12:11:43 +0200

sabnzbdplus (0.4.9-1) unstable; urgency=low

  * Initial release. (Closes: #514156)
  * Adding patches:
    + debian/patches/01_remove_script_headers.dpatch: prevent lintian
      from complaining about non-executable scripts.
    + debian/patches/02_find_parts_in_usr_share.dpatch: make the program
      find parts (interface templates, python modules) under /usr/share.
    + debian/patches/04_use_config_when_daemon.dpatch: use the normal
      configuration when run as a daemon to prevent the program from trying
      to store its configuration and internal accounting files in /usr/bin.
    + debian/patches/07_use_system_configobj.dpatch: use the system
      configobj rather than the included stock copy.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Fri, 27 Mar 2009 20:19:16 +0100
